# Generated automatically from Makefile.in by configure.
infodir = $(prefix)/info
srcdir = .
subdir = doc
top_srcdir = ..

TEXI2DVI=texi2dvi
TEXI2PDF=texi2pdf
TEXI2HTML=texi2html
MAKEINFO=makeinfo
PDFLATEX=pdflatex
DVIPS=dvips
DVIPDFM=dvipdfm
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
SHELL = /bin/sh
PAPERTYPE=a4
INFO_DEPS=qaos

all: $(INFO_DEPS)

.SUFFIXES: .texi .dvi .ps .pdf .html .latexi .dvi-x .pdf-x

.texi:
	if test "x$(MAKEINFO)" != "xno" ; then \
	  LC_ALL=C $(MAKEINFO) -I $(srcdir) --enable-encoding -o $*.info $<; \
	fi

doc:	$(INFO_DEPS) dvi pdf html

dvi: qaos.dvi

ps: qaos.dvi qaos.ps

pdf: qaos.dvi qaos.pdf

html: qaos.html

.texi.dvi :
	sed -e '/@iflatex/,/@end iflatex/d' $< > qaostmp.texi 
	$(TEXI2DVI) -I $(srcdir) qaostmp.texi
	cp qaostmp.dvi $*.dvi
	rm -f qaostmp.*

.dvi.ps :
	TEXPICTS=$(srcdir) $(DVIPS) -t $(PAPERTYPE) -f $< > $@

.dvi.pdf :
	$(DVIPDFM) -p $(PAPERTYPE) -o $@ $<

.texi.html :
	sed -e '/@iflatex/,/@end iflatex/d' $< > qaostmp.texi
	$(TEXI2HTML) -I $(srcdir) qaostmp.texi
	cp qaostmp.html $*.html
	rm -f qaostmp.*

clean:
	rm -f *.[cgk]idx *.aux *.cp *.cps *.dvi *.dvi-x *.fn *.ky	\
	*.kys *.latexi *.log *.orig *.pdf *.pdf-x *.pg *.rej		\
	*.tmplatexi *.toc *.tp *.vr qaos.*.bak qaos.[cgk]ind 	\
	qaos.ilg qaos.ind qaos.latexi*~* qaos.out 	\
	qaos.idx qaos.tmplatexi1 qaostmp.texi texput.log	\
	thumb*.png thumbdta.tex *.tpt *.tmp *.html *.info *.fns

makeinfo:
	LC_ALL=C makeinfo --enable-encoding -o qaos.info qaos.texi

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
